Subject: IP-ID field of ICMP echo request

From: Kohei OHTA <[email-masked]>
Date: Mon, 07 Jul 2003 20:37:31 +0900

Hi folks,

I found a strange packet, which is generated by ping of Linux.
It is observed ID field of IP header in ping packet (Echo request) is always 0.

I confirmed this on kernel 2.4.18 and 2.4.21.
My colleague also confirmed this is fixed in kernel 2.5.74.

I hope this is fixed in next next 2.4.x release.

I am sorry if this had been fixed already.

#I am not member of this ML.
#If you need any further information, please CC me.

Regards,

Kohei.